import sys
from PySide6.QtWidgets import QApplication

from lib.custom_logger import get_logger
logger = get_logger()
logger.setLevel("DEBUG")

from app_status import AppStatus
from gui.windows.main_win import MainWindow


if __name__ == "__main__":
    app = QApplication(sys.argv)
    AppStatus()
    w = MainWindow()
    logger.info("Starting application")
    w.show()
    sys.exit(app.exec())